pcl::BearingAngleImage Class Reference

class BearingAngleImage is used as an interface to generate Bearing Angle(BA) image. More...

`#include <pcl/range_image/bearing_angle_image.h>`

Inheritance diagram for pcl::BearingAngleImage:

## Public Types

typedef pcl::PointCloud< PointXYZRGBA > | BaseClass
Public Types inherited from pcl::PointCloud< PointXYZRGBA >
typedef PointXYZRGBA | PointType
typedef std::vector< PointXYZRGBA, Eigen::aligned_allocator< PointXYZRGBA > > | VectorType
typedef std::vector< PointCloud< PointXYZRGBA >, Eigen::aligned_allocator< PointCloud< PointXYZRGBA > > > | CloudVectorType
typedef boost::shared_ptr< PointCloud< PointXYZRGBA > > | Ptr
typedef boost::shared_ptr< const PointCloud< PointXYZRGBA > > | ConstPtr
typedef PointXYZRGBA | value_type
typedef PointXYZRGBA & | reference
typedef const PointXYZRGBA & | const_reference
typedef VectorType::difference_type | difference_type
typedef VectorType::size_type | size_type
typedef VectorType::iterator | iterator
typedef VectorType::const_iterator | const_iterator

## Public Member Functions

| BearingAngleImage ()
| Constructor. More...
virtual | ~BearingAngleImage ()
| Destructor. More...
void | reset ()
| Reset all values to an empty Bearing Angle image. More...
double | getAngle (const PointXYZ &point1, const PointXYZ &point2)
| Calculate the angle between the laser beam and the segment joining two consecutive measurement points. More...
void | generateBAImage (PointCloud< PointXYZ > &point_cloud)
| Transform 3D point cloud into a 2D Bearing Angle(BA) image. More...
Public Member Functions inherited from pcl::PointCloud< PointXYZRGBA >
| PointCloud ()
| Default constructor. More...
| PointCloud (PointCloud< PointXYZRGBA > &pc)
| Copy constructor (needed by compilers such as Intel C++) More...
| PointCloud (const PointCloud< PointXYZRGBA > &pc)
| Copy constructor (needed by compilers such as Intel C++) More...
| PointCloud (const PointCloud< PointXYZRGBA > &pc, const std::vector< int > &indices)
| Copy constructor from point cloud subset. More...
| PointCloud (uint32_t width_, uint32_t height_, const PointXYZRGBA &value_=PointXYZRGBA())
| Allocate constructor from point cloud subset. More...
virtual | ~PointCloud ()
| Destructor. More...
PointCloud & | operator+= (const PointCloud &rhs)
| Add a point cloud to the current cloud. More...
const PointCloud | operator+ (const PointCloud &rhs)
| Add a point cloud to another cloud. More...
const PointXYZRGBA & | at (int column, int row) const
| Obtain the point given by the (column, row) coordinates. More...
PointXYZRGBA & | at (int column, int row)
| Obtain the point given by the (column, row) coordinates. More...
const PointXYZRGBA & | at (size_t n) const
PointXYZRGBA & | at (size_t n)
const PointXYZRGBA & | operator() (size_t column, size_t row) const
| Obtain the point given by the (column, row) coordinates. More...
PointXYZRGBA & | operator() (size_t column, size_t row)
| Obtain the point given by the (column, row) coordinates. More...
bool | isOrganized () const
| Return whether a dataset is organized (e.g., arranged in a structured grid). More...
Eigen::Map< Eigen::MatrixXf, Eigen::Aligned, Eigen::OuterStride<> > | getMatrixXfMap (int dim, int stride, int offset)
| Return an Eigen MatrixXf (assumes float values) mapped to the specified dimensions of the PointCloud. More...
const Eigen::Map< const Eigen::MatrixXf, Eigen::Aligned, Eigen::OuterStride<> > | getMatrixXfMap (int dim, int stride, int offset) const
| Return an Eigen MatrixXf (assumes float values) mapped to the specified dimensions of the PointCloud. More...
Eigen::Map< Eigen::MatrixXf, Eigen::Aligned, Eigen::OuterStride<> > | getMatrixXfMap ()
| Return an Eigen MatrixXf (assumes float values) mapped to the PointCloud. More...
const Eigen::Map< const Eigen::MatrixXf, Eigen::Aligned, Eigen::OuterStride<> > | getMatrixXfMap () const
| Return an Eigen MatrixXf (assumes float values) mapped to the PointCloud. More...
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
size_t | size () const
void | reserve (size_t n)
bool | empty () const
void | resize (size_t n)
| Resize the cloud. More...
const PointXYZRGBA & | operator[] (size_t n) const
PointXYZRGBA & | operator[] (size_t n)
const PointXYZRGBA & | front () const
PointXYZRGBA & | front ()
const PointXYZRGBA & | back () const
PointXYZRGBA & | back ()
void | push_back (const PointXYZRGBA &pt)
| Insert a new point in the cloud, at the end of the container. More...
iterator | insert (iterator position, const PointXYZRGBA &pt)
| Insert a new point in the cloud, given an iterator. More...
void | insert (iterator position, size_t n, const PointXYZRGBA &pt)
| Insert a new point in the cloud N times, given an iterator. More...
void | insert (iterator position, InputIterator first, InputIterator last)
| Insert a new range of points in the cloud, at a certain position. More...
iterator | erase (iterator position)
| Erase a point in the cloud. More...
iterator | erase (iterator first, iterator last)
| Erase a set of points given by a (first, last) iterator pair. More...
void | swap (PointCloud< PointXYZRGBA > &rhs)
| Swap a point cloud with another cloud. More...
void | clear ()
| Removes all points in a cloud and sets the width and height to 0. More...
Ptr | makeShared () const
| Copy the cloud to the heap and return a smart pointer Note that deep copy is performed, so avoid using this function on non-empty clouds. More...

## Protected Attributes

PointXYZRGBA | unobserved_point_
| < This point is used to be able to return a reference to a unknown gray point More...
Protected Attributes inherited from pcl::PointCloud< PointXYZRGBA >
boost::shared_ptr< MsgFieldMap > | mapping_

## Additional Inherited Members

Public Attributes inherited from pcl::PointCloud< PointXYZRGBA >
pcl::PCLHeader | header
| The point cloud header. More...
std::vector< PointXYZRGBA, Eigen::aligned_allocator< PointXYZRGBA > > | points
| The point data. More...
uint32_t | width
| The point cloud width (if organized as an image-structure). More...
uint32_t | height
| The point cloud height (if organized as an image-structure). More...
bool | is_dense
| True if no points are invalid (e.g., have NaN or Inf values). More...
Eigen::Vector4f | sensor_origin_
| Sensor acquisition pose (origin/translation). More...
Eigen::Quaternionf | sensor_orientation_
| Sensor acquisition pose (rotation). More...

## Detailed Description

class BearingAngleImage is used as an interface to generate Bearing Angle(BA) image.

Author
  : Qinghua Li (qingh.nosp@m.ua__.nosp@m.li@16.nosp@m.3.co.nosp@m.m)

Definition at line 54 of file bearing_angle_image.h.

## Member Typedef Documentation

## BaseClass

typedef pcl::PointCloud<PointXYZRGBA> pcl::BearingAngleImage::BaseClass

Definition at line 58 of file bearing_angle_image.h.

## Constructor & Destructor Documentation

## BearingAngleImage()

pcl::BearingAngleImage::BearingAngleImage | ( |  | ) |

Constructor.

## ~BearingAngleImage()

virtual pcl::BearingAngleImage::~BearingAngleImage | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## generateBAImage()

void pcl::BearingAngleImage::generateBAImage | ( | PointCloud< PointXYZ > & | point_cloud | ) |

Transform 3D point cloud into a 2D Bearing Angle(BA) image.

## getAngle()

double pcl::BearingAngleImage::getAngle | ( | const PointXYZ & | point1,
|  | const PointXYZ & | point2
| ) |  |

Calculate the angle between the laser beam and the segment joining two consecutive measurement points.

Parameters

  point1 |
  point2 |

## reset()

void pcl::BearingAngleImage::reset | ( |  | ) |

Reset all values to an empty Bearing Angle image.

## Member Data Documentation

## unobserved_point_

PointXYZRGBA pcl::BearingAngleImage::unobserved_point_

protected

< This point is used to be able to return a reference to a unknown gray point

Definition at line 85 of file bearing_angle_image.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/range_image/bearing_angle_image.h